# Betalupi Ergodox

This is a modified version of the [ZSA ErgoDox firmware](https://git.betalupi.com/mirrors-QMK/zsa_firmware), based on the `ergodox_ex/glow` keyboard.


## TODO

 - Layer switch cleanup
   - Define indicator in keymap
   - Define language in keymap
   - Auto-switch all

--------------------------------------------------------------------------------
# Setup

Clone this repo into `keyboards/betalupi_ergodox` in your qmk directory.

Make example for this keyboard (after setting up your build environment):

	make betalupi_ergodox:default:flash


If you get array-bounds errors on build, you may have a bad avr-gcc version. Read [this issue](https://github.com/qmk/qmk_firmware/issues/17064), and try

	AVR_CFLAGS="-Wno-array-bounds"


See the [build environment setup](https://docs.qmk.fm/#/getting_started_build_tools) and the [make instructions](https://docs.qmk.fm/#/getting_started_make_guide) for more information.

--------------------------------------------------------------------------------
# Notes

Custom configuration defines

```cpp
// Enable fft animation (requires RGB_MATRIX_FRAMEBUFFER_EFFECTS)
#def ENABLE_RGB_MATRIX_FFT_ANIM

// Enable spellcheck over hid (features/spellcheck)
#def ENABLE_SPELLCHECK
```

Custom keycodes (betalupi_keyboard.c)

```
// Custom RGBLIGHT macros
LIGHT_TOG, // Toggle backlight
LIGHT_HUI, // Increase backlight hue
LIGHT_HUD, // Decrease backlight hue
LIGHT_SAI, // Increase backlight sat
LIGHT_SAD, // Decrease backlight sat
LIGHT_VAI, // Increase backlight val
LIGHT_VAD, // Decrease backlight val
LIGHT_SPI, // Increase backlight speed
LIGHT_SPD, // Decrease backlight speed
LIGHT_MOD, // Change backlight animation mode
```
